TechDraw BrokenView/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Wstaw widok |Wstaw aktywny widok |środowisko pracy Rysunek Techniczny |IconL=TechDraw_View.svg |IconR=TechDraw_ActiveView.svg |IconC=Workbench_TechDraw.svg }}")
(Created page with "{{GuiCommand |Name=TechDraw BrokenView |Name/pl=Rysunek Techniczny: Widok przerwania |MenuLocation=Rysunek Techniczny → Widoki → Wstaw widok przerwania |Workbenches=Rysunek Techniczny |Version=0.22 |SeeAlso=Wstaw widok przekroju, Wstaw widok, Wstaw grupę rzutów }}")
Line 10: Line 10:
}}
}}


<div lang="en" dir="ltr" class="mw-content-ltr">
{{GuiCommand
{{GuiCommand
|Name=TechDraw BrokenView
|Name=TechDraw BrokenView
|Name/pl=Rysunek Techniczny: Widok przerwania
|MenuLocation=TechDraw → TechDraw Views → Insert BrokenView
|MenuLocation=Rysunek Techniczny → Widoki → Wstaw widok przerwania
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Workbenches=[[TechDraw_Workbench/pl|Rysunek Techniczny]]
|Version=0.22
|Version=0.22
|SeeAlso=[[TechDraw_SectionView|TechDraw Section]], [[TechDraw_View|TechDraw View]], [[TechDraw_ProjectionGroup|TechDraw Projection Group]]
|SeeAlso=[[TechDraw_SectionView/pl|Wstaw widok przekroju]], [[TechDraw_View/pl|Wstaw widok]], [[TechDraw_ProjectionGroup/pl|Wstaw grupę rzutów]]
}}
}}
</div>


<div lang="en" dir="ltr" class="mw-content-ltr">
<div lang="en" dir="ltr" class="mw-content-ltr">

Revision as of 08:32, 11 April 2024

Other languages:

TechDraw BrokenView

Menu location
Rysunek Techniczny → Widoki → Wstaw widok przerwania
Workbenches
Rysunek Techniczny
Default shortcut
None
Introduced in version
0.22
See also
Wstaw widok przekroju, Wstaw widok, Wstaw grupę rzutów

Description

The TechDraw BrokenView tool inserts a "broken view" that is either based on an existing part view, or one or more objects, such as Bodies or Parts. The broken view also requires one or more sketches that define the location and size of the areas to be removed. The BrokenView behaves similarly to other Views. The projection direction is taken from the existing part view, the 3D camera direction or the normal of a selected face.

A shape to be broken and the sketches defining the breaks

The result

Usage

  1. Select a part view and one or more break sketches in the Tree view. Breaks are typically described by sketches, but any object whose shape can be made into an edge will work.
  2. There are several ways to invoke the tool:
    • Press the Insert BrokenView button.
    • Select the TechDraw → TechDraw Views → Insert Broken View option from the menu.

Properties

Data

Broken View

  • DANEBreaks: Objects in the 3d view that define the start/end points and direction of breaks in this view.
  • DANEGap: The separation distance for breaks in this view (unscaled 3d length).

Notes

  • Breaks must be vertical or horizontal. Oblique breaks are not supported.
  • See also TechDraw View.

Scripting

A BrokenView can be created with macros and from the Python console by using the following functions:

doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page

brokenView = doc.addObject("TechDraw::DrawBrokenView", "BrokenView")
page.addView(brokenView)
brokenView.Source= box
brokenView.Breaks = [doc.Sketch]